Skip to content
Install

Update a project-level ingress (returns the full project)

PUT
/projects/{id}/ingresses/{ingressId}
curl --request PUT \
--url https://example.com/projects/example/ingresses/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "basicAuth": { "enabled": true, "password": "example", "username": "example" }, "host": "example", "routes": [ { "path": "example", "serviceName": "example", "servicePort": 1 } ], "tlsEnabled": true }'

Auth: authenticated (scope: deploy)

id
required
string
ingressId
required
string
Media typeapplication/json
object
basicAuth
object
enabled
required
boolean
password
string
username
string
host
required
string
routes
required
Array<object>
object
path
required
string
serviceName
required
string
servicePort
required
integer
tlsEnabled
boolean

Example generated

{
"basicAuth": {
"enabled": true,
"password": "example",
"username": "example"
},
"host": "example",
"routes": [
{
"path": "example",
"serviceName": "example",
"servicePort": 1
}
],
"tlsEnabled": true
}

OK

Media typeapplication/json
object
key
additional properties

Example generated

{
"additionalProperty": "example"
}